---
title: Set Pin
description: This API is used to set pin for the card which needs to be entered for making the payment transaction. We must pass entity id, kit no, pin and expiry date in request. If the request has valid details, we will get a success response.
---

This API is used to set pin for the card which needs to be entered for making the payment transaction. We must pass entity id, kit no, pin and expiry date in request. If the request has valid details, we will get a success response.

## POST
```
https://kraken.airpay.co.in/airpay/ms/cards/api/set-pin
```

## Header

| Field | Type | Description |
| --- | --- | --- |
| token | text | (length 10, required) |
| checksum | text | $string = $param.self::$secret_key; sha256(<concate all values+SECRET KEY>);(dynamic, required) |

## Parameter

| Field | Type | Description |
| --- | --- | --- |
| entity_id | text | The Customer Id registered with the system (length 50, required) |
| kit_no | text | Kit no. for which the pin needs to be set (length 16, required) |
| pin | numeric | PIN is 4 digits .Pin will expire in 365 days (length 4, required) |
| expiryDate | text | MMYY Format EG:1021 (length 4, required) |
## Request-Example:
```
 curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/cards/api/set-pin' \

--header 'token: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \

--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \

--header 'Content-Type: application/x-www-form-urlencoded' \

--data-urlencode 'entity_id=91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \

--data-urlencode 'kit_no=100000001203' \

--data-urlencode 'pin=1234 \

--data-urlencode 'expiryDate=0224'
```

## Success 200

| Field | Type | Description |
| --- | --- | --- |
| status | numeric | 400- fail,200-success(length 3, required) |
| message | text | Success, Fail(required) |
| data | json | {“”}(required) |
## Success-Response:
```
{
    "status": 200,
    "message": "SUCCESS",
    "data": []
}
```
## Fail-Response:

```
    "status": 400,
    "message": "fail"
}
```